The TPP can delete an account information consent object if needed.

Endpoint

DELETE /v1/consents/{consentId}

Query Parameters

No query parameters.

Path Parameters

AttributeTypeDescription
consentIdStringThe consent identification assigned to the created resource.

Request Headers

AttributeTypeConditionDescription
X-Request-IDStringMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
API-KeyStringMandatoryConsumer key available on the developers portal.

Request Body

No request body.

Response Code

HTTP Response Code: 200 (OK)

Response Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

No response body.

Example Request

curl -X DELETE \
  https://mp-psd2-api.mypos.com/v1/consents/3c7816ee-3d51-4bf5-8ced-ece2af35d431 \
  -H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
  -H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
  -H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9'

Response

No response body.